<?php

class levipay_MoreCurrency_DataWriter_UserUpgrade extends XFCP_levipay_MoreCurrency_DataWriter_UserUpgrade
{
	
	protected function _getFields()
	{
		$currencies = levipay_MoreCurrency_Model_Currency::getCurrencies();
		
		$fields = parent::_getFields();
		$fields['xf_user_upgrade']['cost_currency'] = array(
			'type' => $fields['xf_user_upgrade']['cost_currency']['type'],  
			'required' => $fields['xf_user_upgrade']['cost_currency']['required'],
			'allowedValues' => array_merge($fields['xf_user_upgrade']['cost_currency']['allowedValues'], array_keys($currencies))
		);
		
		return $fields;
	}
}