<?php

class freekassa_MoreCurrency_Listener
{
	
	public static function load_class($class, array &$extend)
    {
        switch($class)
        {
        	case 'XenForo_DataWriter_UserUpgrade':
        		$extend[] = 'freekassa_MoreCurrency_DataWriter_UserUpgrade';
        		break;
        }
		
	}
	
	public static function template_post_render($templateName, &$contents, array &$containerData, XenForo_Template_Abstract $template)
	{
		if ($template instanceof XenForo_Template_Public)
		{
			return;
		}
		 
		$params = $template->getParams();
		 
		switch ($templateName)
		{
			case 'user_upgrade_edit':
			case 'user_upgrade_edit_advanced':
				$ptn = '#<select name="cost_currency" class="textCtrl autoSize" id="ctrl_cost_currency">(.*?)<\/select>#si';
				
				$count = preg_match($ptn, $contents, $match);
				 
				if ($count)
				{
					$options = $template->create('freekassaoptions', array(
							'currencies' => freekassa_MoreCurrency_Model_Currency::getCurrencies(),
							'upgrade' => $params['upgrade']
						)
					)->render();
					
					$contents = str_replace($match[1], $match[1].$options, $contents);
				}
				break;
		}
	}
}