<?php

    class levipay_ControllerPublic_Index extends XenForo_ControllerPublic_Abstract
    {
        public function actionIndex()
        {
			$options = XenForo_Application::get('options');
	         if ($options->levipayEnabled)
	         {
					$visitor = XenForo_Visitor::getInstance();
					$sessionModel = $this->getModelFromCache('XenForo_Model_Session');
			
					$onlineUsers = $sessionModel->getSessionActivityQuickList(
						$visitor->toArray(),
						array('cutOff' => array('>', $sessionModel->getOnlineStatusTimeout())),
						($visitor['user_id'] ? $visitor->toArray() : null)
					);
			
					$boardTotals = $this->getModelFromCache('XenForo_Model_DataRegistry')->get('boardTotals');
					if (!$boardTotals)
						$boardTotals = $this->getModelFromCache('XenForo_Model_Counters')->rebuildBoardTotalsCounter();
					
			        
			        $viewParam = array(
						'title' 		=>  $options->levipayTitle,
						'h1' 			=>  $options->levipayHeader,
						'description' 	=>  $options->levipayDescription,
						'onlineUsers' 	=> $onlineUsers,
			//			'linksTemplate' => 'levipay_TabMenu',
						'boardTotals' => $boardTotals
					);
					
			        return $this->responseView('levipay_ViewPublic_Index', 'levipay_main', $viewParam);
		
		    }
	    }
    }

 